# Crow: crow::Router Class Reference

crow::Router Class Reference

Handles matching requests to existing rules and upgrade requests. More...

`#include <routing.h>`

## Public Member Functions

DynamicRule & | new_rule_dynamic (const std::string &rule)
template<uint64_t N>
black_magic::arguments< N >::type::template rebind< TaggedRule > & | new_rule_tagged (const std::string &rule)
CatchallRule & | catchall_rule ()
void | internal_add_rule_object (const std::string &rule, BaseRule *ruleObject)
void | validate ()
template<typename Adaptor >
void | handle_upgrade (const request &req, response &res, Adaptor &&adaptor)
void | handle (const request &req, response &res)
void | debug_print ()

## Detailed Description

Handles matching requests to existing rules and upgrade requests.

The documentation for this class was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/routing.h